ALTER TABLE KUPCI
ADD CHECKIN VARCHAR2(1 CHAR) DEFAULT 'N' NOT NULL;

Insert into NDOGODEK (NDOGODEK,SLO,I,D,F,GB,CRO,OPIS,INTERNI_OPIS) 
values 
('CI','CHECK IN',null,null,null,null,null,'CHECK IN','CHECK IN');

Insert into NDOGODEK (NDOGODEK,SLO,I,D,F,GB,CRO,OPIS,INTERNI_OPIS) 
values 
('CO','CHECK OUT',null,null,null,null,null,'CHECK OUT','CHECK OUT');


DROP VIEW V_FBMASTER;

CREATE VIEW V_FBMASTER AS
SELECT DISTINCT * FROM (

SELECT P.ID AS IDPLOVILA, P.IME AS PLOVILO, K.ID As IDKUPCA, K.PRIIMEK AS NAZIV, K.IME AS IME, 
K.NASLOV, K.MESTO, K.POSTA, D.OPIS AS DRZAVA, K.TELEFON_1 AS TELEFON, K.EMAIL, K.YACHT_CLUB_ID, 
K.DAVCNA_STEVILKA AS DAVCNA, 'YC' AS VRSTA
FROM 
KUPCI K 
LEFT OUTER JOIN PLOVILA P ON P.ID_LASTNIKA=K.ID
LEFT OUTER JOIN NNDRZAVE D ON K.NDRZAVA=D.SIFRA
WHERE K.ID IN (SELECT ID_KUPCA FROM KUPCI_VRSTA WHERE VRSTA='YC') AND K.CHECKIN='Y'
UNION ALL

SELECT P.ID AS IDPLOVILA, P.IME AS PLOVILO, K.ID As IDKUPCA, K.PRIIMEK AS NAZIV, K.IME AS IME, 
K.NASLOV, K.MESTO, K.POSTA, D.OPIS AS DRZAVA, K.TELEFON_1 AS TELEFON, K.EMAIL, K.YACHT_CLUB_ID, 
K.DAVCNA_STEVILKA AS DAVCNA,  'SKP' AS VRSTA
FROM 
KUPCI K 
LEFT OUTER JOIN PLOVILA P ON P.ID_LASTNIKA=K.ID
LEFT OUTER JOIN NNDRZAVE D ON K.NDRZAVA=D.SIFRA
WHERE K.ID IN (SELECT ID_KUPCA FROM KUPCI_VRSTA WHERE VRSTA='SKP') AND K.CHECKIN='Y'
UNION ALL

SELECT P.ID AS IDPLOVILA, P.IME AS PLOVILO, K.ID As IDKUPCA, K.PRIIMEK AS NAZIV, K.IME AS IME, 
K.NASLOV, K.MESTO, K.POSTA, D.OPIS AS DRZAVA, K.TELEFON_1 AS TELEFON, K.EMAIL, K.YACHT_CLUB_ID, 
K.DAVCNA_STEVILKA AS DAVCNA,  'ROOM' AS VRSTA
FROM 
KUPCI K 
JOIN REZERVACIJE R ON R.IDKUPCA=K.ID
JOIN PLOVILA P ON R.IDPLOVILA=P.ID
LEFT OUTER JOIN NNDRZAVE D ON K.NDRZAVA=D.SIFRA
WHERE P.BOOKING='R' AND K.CHECKIN='Y'
);


GRANT SELECT ON V_FBMASTER TO FBMASTER;
GRANT SELECT,INSERT ON INTERFACE_SERVICES TO FBMASTER;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (240, SYSDATE, '5.5', 160, 'FBMaster and Checkin');