Insert into DATA_KEYS (IZVOR_TABELA,IZVOR_POLJE,IME_TABELE,IME_POLJA,TIP_POLJA,POLJE_OPIS,TIP_OPIS) 
values 
('NNPRIKLJ','OZNAKA','NPRIKLJ','SIFRA','S','OPIS','S');

ALTER TABLE NNVRSKUP 
  ADD VRSTA VARCHAR2(10 CHAR);

ALTER TABLE NNVRSKUP
  ADD TRANSFER_FB VARCHAR2(1 CHAR);

DROP VIEW V_FBMASTER;

CREATE VIEW V_FBMASTER AS
SELECT DISTINCT * FROM (
SELECT P.ID AS IDPLOVILA, P.IME AS PLOVILO, K.ID As IDKUPCA, K.PRIIMEK AS NAZIV, K.IME AS IME, 
K.NASLOV, K.MESTO, K.POSTA, D.OPIS AS DRZAVA, K.TELEFON_1 AS TELEFON, K.EMAIL, K.YACHT_CLUB_ID, 
K.DAVCNA_STEVILKA AS DAVCNA, SK.VRSTA AS VRSTA
FROM 
KUPCI K 
JOIN KUPCI_VRSTA KV ON K.ID=KV.ID_KUPCA
JOIN NNVRSKUP SK ON KV.VRSTA=SK.SIFRA AND SK.TRANSFER_FB='Y'
LEFT OUTER JOIN PLOVILA P ON P.ID_LASTNIKA=K.ID
LEFT OUTER JOIN NNDRZAVE D ON K.NDRZAVA=D.SIFRA
WHERE K.CHECKIN='Y'
UNION ALL

SELECT P.ID AS IDPLOVILA, P.IME AS PLOVILO, K.ID As IDKUPCA, K.PRIIMEK AS NAZIV, K.IME AS IME, 
K.NASLOV, K.MESTO, K.POSTA, D.OPIS AS DRZAVA, K.TELEFON_1 AS TELEFON, K.EMAIL, K.YACHT_CLUB_ID, 
K.DAVCNA_STEVILKA AS DAVCNA,  'ROOM' AS VRSTA
FROM 
KUPCI K 
JOIN REZERVACIJE R ON R.IDKUPCA=K.ID
JOIN PLOVILA P ON R.IDPLOVILA=P.ID
LEFT OUTER JOIN NNDRZAVE D ON K.NDRZAVA=D.SIFRA
WHERE P.BOOKING='R' AND K.CHECKIN='Y'
);


GRANT SELECT ON V_FBMASTER TO FBMASTER;
GRANT SELECT,INSERT ON INTERFACE_SERVICES TO FBMASTER;


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (244, SYSDATE, '5.5', 164, 'FBMASTER');