CREATE OR REPLACE FORCE VIEW V_FBMASTER (IDPLOVILA, PLOVILO, IDKUPCA, NAZIV, IME, NASLOV, MESTO, POSTA, DRZAVA, 
TELEFON, EMAIL, YACHT_CLUB_ID, DAVCNA, VRSTA, SALDO, NNLOCATION_ID, LOCATION) 
AS 
SELECT DISTINCT IDPLOVILA,PLOVILO,IDKUPCA,NAZIV,IME,NASLOV,MESTO,POSTA,DRZAVA,TELEFON,EMAIL,YACHT_CLUB_ID,
DAVCNA,VRSTA,SALDO, NNLOCATION_ID, LOCATION 
FROM (
SELECT P.ID AS IDPLOVILA, P.IME AS PLOVILO, K.ID As IDKUPCA, K.PRIIMEK AS NAZIV, K.IME AS IME, 
K.NASLOV, K.MESTO, K.POSTA, D.OPIS AS DRZAVA, K.TELEFON_1 AS TELEFON, K.EMAIL, K.YACHT_CLUB_ID, 
K.DAVCNA_STEVILKA AS DAVCNA, SK.SIFRA AS VRSTA, K.SALDAKONTI_SIT AS SALDO, PL.NNLOCATION_ID, PL.LOCATION
FROM 
KUPCI K 
JOIN KUPCI_VRSTA KV ON K.ID=KV.ID_KUPCA
JOIN NNVRSKUP SK ON KV.VRSTA=SK.SIFRA AND SK.TRANSFER_FB='Y'
LEFT OUTER JOIN PLOVILA P ON P.ID_LASTNIKA=K.ID
LEFT OUTER JOIN NNDRZAVE D ON K.NDRZAVA=D.SIFRA
LEFT OUTER JOIN 
(select DISTINCT PR.ID_PLOVILA, NO.NNLOCATION_ID, NL.OPIS AS LOCATION from PRIVEZI PR 
LEFT OUTER JOIN NNPRIVEZ NP ON PR.ID_PRIVEZ=NP.ID_PRIVEZ
LEFT OUTER JOIN NNPOMOL NO ON NP.KATEGORIJA=NO.SIFRA
LEFT OUTER JOIN NNLOCATION NL ON NL.ID=NO.NNLOCATION_ID
WHERE NO.NNLOCATION_ID IS NOT NULL AND PR.ID_POGODBE IS NULL) PL ON P.ID=PL.ID_PLOVILA
WHERE K.CHECKIN='Y'
UNION ALL

SELECT P.ID AS IDPLOVILA, P.IME AS PLOVILO, K.ID As IDKUPCA, K.PRIIMEK AS NAZIV, K.IME AS IME, 
K.NASLOV, K.MESTO, K.POSTA, D.OPIS AS DRZAVA, K.TELEFON_1 AS TELEFON, K.EMAIL, K.YACHT_CLUB_ID, 
K.DAVCNA_STEVILKA AS DAVCNA,  'ROOM' AS VRSTA, K.SALDAKONTI_SIT AS SALDO, 0 AS NNLOCATION_ID, NULL AS LOCATION
FROM 
KUPCI K 
JOIN REZERVACIJE R ON R.IDKUPCA=K.ID
JOIN PLOVILA P ON R.IDPLOVILA=P.ID
LEFT OUTER JOIN NNDRZAVE D ON K.NDRZAVA=D.SIFRA
WHERE P.BOOKING='R' AND R.ZASEDENA='D' AND (R.DATUM_DO > Sysdate-30)
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1364, SYSDATE, '5.5', 1284, 'V_FBMASTER')
;