ALTER TABLE SC_EVENT
ADD NNLOCATION_ID NUMBER;

ALTER TABLE SC_EVENTRES
ADD "COMMENT" VARCHAR2(500 CHAR);

DROP VIEW V_SC_EVENTRES;

CREATE OR REPLACE VIEW V_SC_EVENTRES AS
SELECT ER.*, E.NAME AS EVENT_NAME, ES.SC_RESTYPE_ID, R.RESTYPECODE, R.NAME AS CUSTOM_NAME, R.PLOVILA_ID, R.KUPCI_ID, P.IME AS PLOVILA_IME,
TRIM((CASE WHEN NVL(K.NTITLE, '') = '' THEN '' ELSE K.NTITLE || '.' END) || ' ' || NVL(K.IME, '') || ' ' || NVL(K.PRIIMEK, '')) AS KUPCI_IME,
RT.NAME AS SC_RESTYPE_NAME
FROM SC_EVENTRES ER
JOIN SC_EVENT E ON E.ID = ER.SC_EVENT_ID
JOIN SC_EVRES ES ON ES.ID = ER.SC_EVRES_ID
JOIN SC_RESOURCE R ON R.ID = ER.SC_RESOURCE_ID
JOIN SC_RESTYPE RT ON RT.ID = R.SC_RESTYPE_ID
LEFT OUTER JOIN PLOVILA P ON P.ID = R.PLOVILA_ID
LEFT OUTER JOIN KUPCI K ON K.ID = R.KUPCI_ID;

DROP VIEW V_EMAIL_TEMPLATE;

CREATE OR REPLACE VIEW V_EMAIL_TEMPLATE AS
SELECT ET.ID_EMAIL_TEMPLATE, ET.VALUE, ET.CONTENT, ET.NAME, ET.RECEIVER, ET.RECEIVER_CC, ET.RECEIVER_BCC, ET.SENDER, 
ET.DATE_CHANGED, ET.USER_CHANGED, ET.DATE_CREATED, ET.USER_CREATED, ET.ACT, ET.SUBJECT, ET.TYPE, ET.USER_SELECTABLE, ET.NNLOCATION_ID,
ETT.OPIS AS TYPE_OPIS, ETT.INTERNI_OPIS AS TYPE_INTERNI_OPIS, ETT.TEMPLATE_SUBTYPE AS SUBTYPE
FROM EMAIL_TEMPLATE ET
LEFT OUTER JOIN NNEMAIL_TEMPLATE_TYPE ETT ON ET.TYPE = ETT.SIFRA;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1590, SYSDATE, '5.5', 1510, 'SC dodatki')
;