CREATE TABLE PRINT_QUEUE (
	ID_PRINT_QUEUE NUMBER NOT NULL,
	CONTENT CLOB,
	STATUS NUMBER,
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(30 CHAR),
	CONSTRAINT PRINT_QUEUE_PK PRIMARY KEY (ID_PRINT_QUEUE)
);

CREATE SEQUENCE PRINT_QUEUE_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;


CREATE TABLE NNPRINT_STATUS (
	SIFRA NUMBER NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT NNPRINT_STATUS_PK PRIMARY KEY (SIFRA)
);

INSERT INTO NNPRINT_STATUS(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
(0, 'In print queue', 'In print queue', 'Y');

INSERT INTO NNPRINT_STATUS(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
(1, 'Successfully printed', 'Successfully printed', 'Y');

INSERT INTO NNPRINT_STATUS(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
(-1, 'Error', 'Error', 'Y');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (603, SYSDATE, '5.5', 523, 'Print');